Page MenuHomePhabricator

Enable geoshape datatype on Wikidata
Closed, ResolvedPublic

Description

The new datatype for linking to geoshapes on Wikimedia Commons is ready. We should enable it on Wikidata so people can actually make use of it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2017, 5:51 PM
Dalba added a subscriber: Dalba.Mar 29 2017, 10:17 AM
Lydia_Pintscher added subscribers: hoo, aude.

This has been announced to go live on April 17th.

Jheald added a subscriber: Jheald.Apr 3 2017, 4:37 PM

To make this really useful, it would be valuable for a WDQS query to be able to display such shapes in the map view of query results.

(And, also, to be able to display shapes obtained from external sources, such as OpenStreetMap or UK Ordnance Survey, which it would be useful to be able to display with suitable attribution text, but which we may not be able to include directly on Commons because of e.g. attribution clauses in their licences.)

How far are we from WDQS being able to support this? There doesn't seem to be a WDQS-specific ticket open.

Change 349900 had a related patch set uploaded (by Aude):
[operations/mediawiki-config@master] Enable geo-shape data type on Wikidata

https://gerrit.wikimedia.org/r/349900

Change 349900 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable geo-shape data type on Wikidata

https://gerrit.wikimedia.org/r/349900

Lydia_Pintscher closed this task as Resolved.Apr 25 2017, 8:44 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Backlog to Done on the Wikidata-Former-Sprint-Board board.